package domain


type AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult struct {
    /*
        成功的商品编码集     */
    FailedSkuCodes  *[]string `json:"failed_sku_codes,omitempty" `

    /*
        失败的商品编码集     */
    SuccessedSkuCodes  *[]string `json:"successed_sku_codes,omitempty" `

    /*
        系列编码     */
    SeriesId  *int64 `json:"series_id,omitempty" `

}

func (s *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult) SetFailedSkuCodes(v []string) *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult {
    s.FailedSkuCodes = &v
    return s
}
func (s *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult) SetSuccessedSkuCodes(v []string) *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult {
    s.SuccessedSkuCodes = &v
    return s
}
func (s *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult) SetSeriesId(v int64) *AlibabaWdkSeriesSkuRemoveSkuSeriesEditResult {
    s.SeriesId = &v
    return s
}
